Package org.eclipse.lemminx.extensions.contentmodel.commands

## Class AssociateGrammarCommand.UnknownBindingTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.lemminx.extensions.contentmodel.commands.AssociateGrammarCommand.UnknownBindingTypeException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  AssociateGrammarCommand

    public static class AssociateGrammarCommand.UnknownBindingTypeException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`UnknownBindingTypeException​(String bindingType)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnknownBindingTypeException

    public UnknownBindingTypeException​(String bindingType)